GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_SET-TARGET-POOLS(1)

NAME

gcloud compute instance-groups managed set-target-pools - set target pools of managed instance group

SYNOPSIS

gcloud compute instance-groups managed set-target-pools NAME --target-pools [TARGET_POOL,...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed set-target-pools sets the target pools for an existing managed instance group. Instances that are part of the managed instance group will be added to the target pool automatically. Setting a new target pool won't apply to existing instances in the group unless they are recreated using the recreate-instances command. But any new instances created in the managed instance group will be added to all of the provided target pools for load balancing purposes.

POSITIONAL ARGUMENTS
NAME
    Managed instance group name.

REQUIRED FLAGS
--target-pools [TARGET_POOL,...]
    Compute Engine Target Pools to add the instances to. Target Pools must be specified by name or by URL. Example: --target-pool target-pool-1,target-pool-2.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group manager to set target pools. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.